﻿#region License
//
// © Copyright Ray Hayes
// This source is subject to the Microsoft Public License (Ms-PL).
// Please see http://go.microsoft.com/fwlink/?LinkID=131993 for details.
// All other rights reserved.
//
#endregion

#region Using directives

using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

#endregion

namespace Sentinel.Support.Converters
{
    public class VisibilityToCollapsedConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            bool isVisible = (bool) value;

            // If a parameter is supplied, invert the condition.
            if (parameter != null)
            {
                isVisible = !isVisible;
            }

            return isVisible ? Visibility.Visible : Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            bool isVisible = (bool) value;

            // If a parameter is supplied, invert the condition.
            if (parameter != null)
            {
                isVisible = !isVisible;
            }

            return isVisible ? Visibility.Collapsed : Visibility.Visible;
        }

        #endregion
    }
}